CpuTimeOut: arg of type ErrorContext?
Status: New Start date: 15 Mar 2024

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Tidying Estimated time: 0.00 hour

Target version: CoCoALib-0.99880 Spent time: 0.10 hour

Description

Currently CpuTimeOut expects a C-string nae of the fn.

Should it accept instead a ErrorContext?

Related issues:

Related to CoCoALib - Feature #1793: Use ErrorContext instead of string FnName In Progress 16 Mar 2024

History

#1 - 15 Mar 2024 22:03 - John Abbott

Analogous question for InterruptReceived?

Note that C++20 includes something quite similar to ErrorContext...

#2 - 16 Mar 2024 11:14 - John Abbott

- Related to Feature #1793: Use ErrorContext instead of string FnName added

#3 - 18 Mar 2024 20:50 - John Abbott

- Target version changed from CoCoALib-0.99850 to CoCoALib-0.99880
